org.eclipse.oomph.targlets.core

## Class TargletContainerEvent.ProfileUpdateFailedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.oomph.targlets.core.TargletContainerEvent
    - - org.eclipse.oomph.targlets.core.TargletContainerEvent.ProfileUpdateFailedEvent

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    TargletContainerEvent

      public static class TargletContainerEvent.ProfileUpdateFailedEvent
      extends TargletContainerEvent

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.targlets.core.TargletContainerEvent

      `TargletContainerEvent.IDChangedEvent, TargletContainerEvent.ProfileUpdateFailedEvent, TargletContainerEvent.ProfileUpdateSucceededEvent, TargletContainerEvent.TargletsChangedEvent, TargletContainerEvent.WorkspaceUpdateFinishedEvent`

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TargletContainerEvent.ProfileUpdateFailedEvent(ITargletContainer source, ITargletContainerDescriptor descriptor, IStatus updateProblem)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IStatus` | `getUpdateProblem()`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.targlets.core.TargletContainerEvent

      `getDescriptor, getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TargletContainerEvent.ProfileUpdateFailedEvent

          public TargletContainerEvent.ProfileUpdateFailedEvent(ITargletContainer source,
                                                        ITargletContainerDescriptor descriptor,
                                                        IStatus updateProblem)

  - ### Method Detail

    - #### getUpdateProblem

          public final IStatus getUpdateProblem()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EventObject`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html